• 0

    posted a message on Quartz: Modular Casting Bar
    Please post the following information:
    - Wow client version: enUS, enGB, deDE etc.
    - Operating System: Windows, OS X or Linux
    - Quartz version
    - Embedded or external libraries

    Please disable all addons other than Quartz, backup and rename your Quartz SV file, then outline to me the steps to reproduce the error, including any configuration changes you need to make. I will fix it if I am able to reproduce it.
    Posted in: General AddOns
  • 0

    posted a message on error i don't understand
    Someone needs to change Babble-Zone-2.2 to 3.0 in both Prat/libs/includes.xml and Prat/libs' externals.

    I'm at work now, but I'll do it when I get home if nobody else gets to it.
    Posted in: Libraries
  • 0

    posted a message on Quartz: Modular Casting Bar
    Quote from Gorthol »

    For a warrior the Swing bar does not appear until you throw a slam, it does not appear on normal swings at all. Makes it a bit hard to time your swings. Thanks in advance.

    /Hoff


    I've never experienced that one... and I've been imp slam forever.

    Are you sure you're autoattacking the mob before the slam?
    Posted in: General AddOns
  • 0

    posted a message on Chatter- Ace3 chat mod (was Chatterbox)
    Small issue with Alt Linking: when you get the "[xxxxx] has come online" messages, the main is not shown.
    Posted in: General AddOns
  • 0

    posted a message on error i don't understand
    Please be more specific next time i.e. external vs embedded libraries, which OS you run on, which updater (if any) you are using.

    I'm guessing that you use embedded libraries:

    Look in each of the .toc files for AddOns that use GloryLib:

    find . -name "*.toc" -print0 | xargs -0 grep -i glory


    Make sure that those addons also embed LibBabble-Zone-3.0.
    Posted in: Libraries
  • 0

    posted a message on UI Screenshots - Show us what you use!
    Looking at some of the other creations here, I'm quite boring:

    Posted in: General Chat
  • 0

    posted a message on so what did scorpio920 do when updating those mods?
    Quote from durcyn »

    the current author/maintainer of the addon/lib in question. it's not just about useless toc bumps, it's about touching projects you don't own or have permission to do so.


    What about addons / libraries that have been abandoned by their original authors, but are maintained on an ad-hoc basis?
    Posted in: General Chat
  • 0

    posted a message on so what did scorpio920 do when updating those mods?
    Quote from Buio »

    I saw a bunch of .toc bumps by nemes too, but maybe they are sanctioned?



    Who does the sanctioning, by the way?
    Posted in: General Chat
  • 0

    posted a message on so what did scorpio920 do when updating those mods?
    Quote from Mars »

    I think it were just too many to be sanctioned. So I'm wondering why they weren't reverted.


    I bumped libraries which I knew were functional in 2.4 i.e. my addons had used ALL the codepaths successfully.

    I also bumped semi-abandoned addons that have been tweaked and massaged by various developers over time, that are known to work in 2.4, such as FuBar_BattlegroundFu, FuBar_HonorFu, SendSelf.

    I did fuck up and bump LibBabble-Spell-3.0, which I was using. I didn't get the memo about using GetSpellInfo instead of Babble-Spell. I should read patch notes in more detail. Arrowmaster reverted that one and edumacated me.
    Posted in: General Chat
  • 0

    posted a message on Libarry Clean-up?
    I've been doing this for some addons, where there exists a LibStub'd version of the library, with almost identical interface:
    Babble-2.2 -> Babble-3.0
    SinkLib -> LibSink-2.0
    CrayonLib -> LibCrayon-3.0
    SharedMediaLib-1.0 -> LibSharedMedia-3.0

    Why have two in memory when one will do?
    Posted in: Libraries
  • 0

    posted a message on What a bunch of BS :-(
    Quote from HunterZ »

    1. What updater for Mac "supports" the site? Most of the Mac users I know use jWowUpdater, and I'd use it on Windows too if WAU ever breaks (Sylv is quitting the game, so it's just a matter of time, no?). I think that if I were a Mac-compatible updater author (or even a Mac user for that matter), I would resent the comment that all updaters other than WAU are leechers when the only officially-blessed updater, WAU, is an incomplete solution (i.e., does not support Mac users).


    jWowUpdater works just fine on OSX 10.5. I prefer it to WowAceUpdater, to be honest, and if I ever move back to windows, I'll stick to jWowUpdater.

    All I saw in the original post was "waah waah waah, you update too often, waah waah waah, you don't fix things fast enough, waah waah waah, you don't test enough, waah waah waah, you take too long to make a release"
    Posted in: Raid AddOns
  • 0

    posted a message on NShakedown - Organise Your UI - Official Thread
    Added SorrenTimers and Bongos3
    Posted in: General AddOns
  • 0

    posted a message on Omen2
    I FINALLY have a simple reproducer for the SingleTarget "attempt to compare number with string" problem:

    • Clean SV
    • Omen r70136, embedded libraries, no other addons
    • Press the minimap button once to toggle omen's frame
    • Press the spanner button to bring up config
    • Press "Show Test Bars"
    • Close the options window
    • Click on a pvp flagged NPC

    I came up with this test case as a level 1 mage on a pve server, clicking on Frostwolf Ambasador Rohk, standing outside Orgrimmar bank.


    See http://jira.wowace.com/browse/OMEN-54 for the full stack.
    Posted in: Raid AddOns
  • 0

    posted a message on PitBull 2.0
    Quote from MrcdesOwnr »

    Is anyone else having an issue with font choices missing from the font drop down menu in Pitbull and Cowtip? I used to have a choice from many different fonts and now there are only 4 or so choices. I was using Anime Ace for both mods and now both mods have reverted back to using Friz Quadrata.

    Any help would be greatly appreciated!


    PitBull uses LibSharedMedia-2.0. That is a deprecated library. I will look at moving it to LibSharedMedia-3.0.
    Posted in: Unit Frames
  • To post a comment, please or register a new account.